Subject: linux-next: build failure after merge of the fsinfo tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 12 May 2020 19:57:12 +1000

Hi all,

After merging the fsinfo tree, today's linux-next build (x86_64
allmodconfig) failed like this:

/usr/lib/gcc-cross/x86_64-linux-gnu/9/../../../../x86_64-linux-gnu/bin/ld: cannot find /usr/lib/x86_64-linux-gnu/libm-2.30.a
/usr/lib/gcc-cross/x86_64-linux-gnu/9/../../../../x86_64-linux-gnu/bin/ld: cannot find /usr/lib/x86_64-linux-gnu/libmvec.a

I don't know if this is a quirk of the build system or Debian's cross
compiler setup.  Both those files exist in /usr/x86_64-linux-gnu/lib/.

Masahiro, any thoughts?

I have disabled the building of test_fsinfo for now:

From: Stephen Rothwell <[email-masked]>
Date: Tue, 12 May 2020 19:49:33 +1000
Subject: [PATCH] disable building fo test-fsinfo for now

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 samples/vfs/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/samples/vfs/Makefile b/samples/vfs/Makefile
index f5bc5dfdf045..97e54c8be358 100644
--- a/samples/vfs/Makefile
+++ b/samples/vfs/Makefile
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: GPL-2.0-only
-userprogs := test-fsinfo test-fsmount test-mntinfo test-statx
+userprogs := test-fsmount test-mntinfo test-statx
 always-y := $(userprogs)
 
 userccflags += -I usr/include
-- 
2.26.2

-- 
Cheers,
Stephen Rothwell